CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

VerticalTextPosition Property (ActiveX)

2023-1-3 01:38| 发布者: admin| 查看: 191| 评论: 0|来自: AutoCAD

摘要: 指定文本相对于尺寸线的垂直位置。

指定文本相对于尺寸线的垂直位置。

支持的平台:仅窗口

签名

工 务 局:

object.VerticalTextPosition
对象

类型:暗三点角度,暗对齐,暗,暗弧长度,暗直径,尺寸,暗坐标,暗径向,暗径大,旋转引线

此属性适用的对象。

属性值

只读:

类型:枚举acDimVerticalJustification

  • acVertCentered:使尺寸文本在延长线之间居中。
  • acAbove:将尺寸文本放在尺寸线上方,除非尺寸线不是水平的,并且延长线内的文本强制水平 (DIMTIH = 1)。从尺寸线到最低文本行基线的距离是当前的 DIMGAP 值。
  • acUnder:将尺寸文本放置在尺寸线下方,除非尺寸线不是水平的,并且延长线内的文本被强制水平 (DIMTIH = 1)。从尺寸线到最低文本行基线的距离是当前的 DIMGAP 值。
  • acOutside:将尺寸文本放置在尺寸线离定义点最远的一侧。
  • acJIS:放置尺寸文本以符合日本工业标准 (JIS)。

言论

此属性的初始值为。acVertCentered

注意:此属性将覆盖给定尺寸、引线或公差对象的 DIMTAD 系统变量的值。

例子

工 务 局:

Sub Example_VerticalTextPosition()
    ' This example creates an aligned dimension in model space
    ' and cycles the dimension text through a couple of different
    ' vertical alignments
    
    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    Dim CurrentValue As String
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 9: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    ThisDrawing.Application.ZoomAll

    ' Read and display current text position
    Select Case dimObj.VerticalTextPosition
        Case acVertCentered:    CurrentValue = "centered"
        Case acAbove:           CurrentValue = "above"
        Case acOutside:         CurrentValue = "outside"
        Case acJIS:             CurrentValue = "to Japanesee industrial standards"
    End Select

    MsgBox "The vertical position of the dimension is: " & CurrentValue

    ' Change the position of the dimension text to be above the extesnion lines
    dimObj.VerticalTextPosition = acAbove
    ThisDrawing.Regen acAllViewports
    MsgBox "Dimension text is now aligned above extension lines"
   
    ' Change the position of the dimension text to be centered with the extension lines
    dimObj.VerticalTextPosition = acVertCentered
    ThisDrawing.Regen acAllViewports
    MsgBox "Dimension text is now centered with the extension lines"

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_VerticalTextPosition()
    ;; This example creates an aligned dimension in model space
    ;; and cycles the dimension text through a couple of different
    ;; vertical alignments
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 9 5 0)
          location (vlax-3d-point 5 7 0))  
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)

    ;; Read and display current text position
    (setq CurrentValue (cond
                           ((= (vla-get-VerticalTextPosition dimObj) acVertCentered) "centered")
                           ((= (vla-get-VerticalTextPosition dimObj) acAbove) "above")
                           ((= (vla-get-VerticalTextPosition dimObj) acOutside) "outside")
                           ((= (vla-get-VerticalTextPosition dimObj) acJIS) "to Japanesee industrial standards")
                       ))
    
    (alert (strcat "The vertical position of the dimension is: " CurrentValue))

    ;; Change the position of the dimension text to be above the extesnion lines
    (vla-put-VerticalTextPosition dimObj acAbove)
    (vla-Regen doc acAllViewports)
    (alert "Dimension text is now aligned above extension lines")
   
    ;; Change the position of the dimension text to be centered with the extension lines
    (vla-put-VerticalTextPosition dimObj acVertCentered)
    (vla-Regen doc acAllViewports)
    (alert "Dimension text is now centered with the extension lines")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 16:35

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部